﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace KECyclesAndChains
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();


            Params p = new Params();
            p.ReadCompatMatrix("CompatibilityMatrix");
            p.ReadListOfNodes("ListOfNodes");


            Exchange exch = new Exchange(p.m_matrix, p.m_size, p.m_altVector, p.m_AltList);
            exch.Init(0, 0);
            exch.RunUnrestricted();
            exch.WriteSolution("unrestricted");

            for (int j = 0; j <= 3; j++)
            {
                for (int i = 3; i <= 3; i++)
                {
                   exch.Init(j, i);
                   exch.Run(0);
                   exch.WriteSolution("regular");
                }
            }
            
        }
    }
}
